Loading...
Searching...
No Matches
gx_pluginloader.h File Reference

Go to the source code of this file.

## Classes

struct | stringcomp
class | gx_engine::Plugin
class | gx_engine::UiBuilderBase
class | gx_engine::ParamRegImpl
class | gx_engine::PluginListBase
class | gx_engine::PluginList

## Namespaces

namespace | gx_engine

## Typedefs

typedef PluginDef *(* | gx_engine::plugindef_creator) ()

## Enumerations

enum | { gx_engine::PGNI_DYN_POSITION = 0x10000 , gx_engine::PGNI_NOT_OWN = 0x20000 , gx_engine::PGNI_UI_REG = 0x40000 , gx_engine::PGNI_IS_LV2 = 0x80000 , gx_engine::PGNI_IS_LADSPA = 0x100000 }
enum | gx_engine::PluginPos { gx_engine::PLUGIN_POS_START , gx_engine::PLUGIN_POS_RACK , gx_engine::PLUGIN_POS_END }

## Functions

void | gx_engine::printlist (const char *title, const list< Plugin * > &modules, bool header=true)